Skip to main content
Operations Management/Billing Management Operations
GETBilling Management OperationsSince 3.7.2SynchronousAuth Required

QueryAccountPriceTableRef

QueryAccountPriceTableRef

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • accountUuidStringRequired

      The account UUID.

    • tableUuidStringRequired

      The price table UUID.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

GET/zstack/v1/accounts/price-tables/refs

/zstack/v1/accounts/price-tables/refs

Operation ID

QueryAccountPriceTableRef

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/accounts/price-tables/refs' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "accountUuid": "3dd9565ef61137c2a8615c26da6ddd4c", "tableUuid": "b0c83f78e0323aea8969e5b879ffbe5f", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history